org.richfaces.ui.output.chart

## Class ChartDataModel<T,S>

- java.lang.Object
- - org.richfaces.ui.output.chart.ChartDataModel<T,S>

- Direct Known Subclasses:
    DateChartDataModel, NumberChartDataModel, StringChartDataModel

      public abstract class ChartDataModel<T,S>
      extends Object

  Author:
    Lukas Macko

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ChartDataModel.ChartType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<T>` | `keys`
    `protected ChartStrategy` | `strategy`
    `protected ChartDataModel.ChartType` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartDataModel(ChartDataModel.ChartType type)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JSONObject` | `defaultExport()`
    `Object` | `export()`
    `Map<String,Object>` | `getAttributes()`
    `Map<T,S>` | `getData()`
    `abstract Class` | `getKeyType()`
    `ChartDataModel.ChartType` | `getType()`
    `abstract Class` | `getValueType()`
    `void` | `put(T key, S value)`
    `void` | `remove(T key)`
    `void` | `setAttributes(Map<String,Object> attributes)`
    `void` | `setData(Map<T,S> data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected ChartDataModel.ChartType type

    - #### strategy

          protected ChartStrategy strategy

    - #### keys

          protected List<T> keys

  - ### Constructor Detail

    - #### ChartDataModel

          public ChartDataModel(ChartDataModel.ChartType type)

  - ### Method Detail

    - #### setData

          public void setData(Map<T,S> data)

    - #### getData

          public Map<T,S> getData()

    - #### put

          public void put(T key,
                 S value)

    - #### remove

          public void remove(T key)

    - #### defaultExport

          public JSONObject defaultExport()
                                   throws IOException

      Throws:
        `IOException`

    - #### export

          public Object export()
                        throws IOException

      Throws:
        `IOException`

    - #### getAttributes

          public Map<String,Object> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,Object> attributes)

    - #### getType

          public ChartDataModel.ChartType getType()

    - #### getKeyType

          public abstract Class getKeyType()

    - #### getValueType

          public abstract Class getValueType()

Copyright © 2014 JBoss by Red Hat. All rights reserved.